#!/bin/bash -e

# private gitea
export gitea=https://git.kejizero.online

# LAN
[ -n "$LAN" ] && export LAN=$LAN || export LAN=10.0.0.1

# openwrt - releases
git clone -b 2410 --single-branch --filter=blob:none https://github.com/padavanonly/immortalwrt-mt798x-24.10 immortalwrt-mt798x-24.10 openwrt

if [ -d openwrt ]; then
    cd openwrt
    ./scripts/feeds update -a
    ./scripts/feeds install -a
else
    echo -e "${RED_COLOR}Failed to download source code${RES}"
    exit 1
fi

###############################################
echo -e "\n${GREEN_COLOR}Patching ...${RES}\n"

# scripts
curl -sO $gitea/openwrt/scripts/00-prepare_base.sh
chmod 0755 00-prepare_base.sh
bash 00-prepare_base.sh


